varying vec2 		texcoord;
uniform sampler2D 	tex,
					bump;
uniform vec2		ofs;
vec3 				normal;


void main()
{
	normal=texture2D(bump,texcoord*0.125 + ofs).xyz*2.0-1.0;
	vec2 UV=texcoord.xy;//*0.5+0.5;
	UV+=normal.xy*0.025;
	gl_FragColor.xyz = texture2D(tex,UV).xyz;
}
